const ALLOWED_HOSTS = ["nastenka.pirati.cz", "nastenka.pir-test.eu"];

window.addEventListener(
    "DOMContentLoaded",
    event => {
        $("#synchronize").on(
            "click",
            event => {
                const urlParams = new URLSearchParams(window.location.search);
                let nextUrl = urlParams.get("next");

                if (!nextUrl) {
                    alert("Chyba v předání dat. Pro podporu můžeš kontaktovat Technický odbor.");
                    return;
                }

                nextUrl = new URL(nextUrl);

                if (!ALLOWED_HOSTS.includes(nextUrl.host)) {
                    alert("Chyba - přesměrování na nepovolenou adresu. Pro podporu můžeš kontaktovat Technický odbor.");
                    return;
                }

                nextUrl.searchParams.append("token", window.TOKEN);
                nextUrl.searchParams.append("allowed-forum-ids", window.ALLOWED_FORUM_IDS);

                window.location = nextUrl;
            }
        );
    }
);
